
Redmine - Defect #8573

Do not show inactive Enumerations where not needed

2011-06-09 11:15 - Petr Pospisil

Status: Closed Start date: 2011-06-09

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

Please, change IssuePriority.all to IssuePriority.active at all places. Thank you.

(of course, you should do it with all enumurations that has a active flag)

Associated revisions

Revision 6070 - 2011-06-13 21:43 - Jean-Baptiste Barth

Do not show inactive issue priorities where not necessary (#8573).

Revision 6071 - 2011-06-13 22:33 - Jean-Baptiste Barth

Do not show inactive document categories where not necessary (#8573).

Revision 6072 - 2011-06-13 22:33 - Jean-Baptiste Barth

Do not show inactive time entry activities in repository settings (#8573).

History

#1 - 2011-06-13 12:51 - Jean-Baptiste Barth

- Subject changed from IssuePriority.all to Do not show inactive IssuePriority where not needed

- Assignee set to Jean-Baptiste Barth

- Target version set to Candidate for next minor release

- Affected version (unused) set to devel

#2 - 2011-06-13 21:47 - Jean-Baptiste Barth

- Category set to Issues

- % Done changed from 0 to 50

Fixed in r6070 for issue priorities. I'll check the other "enumerations" (activities and document categories) before marking the issue as resolved.

#3 - 2011-06-13 22:34 - Jean-Baptiste Barth

- Subject changed from Do not show inactive IssuePriority where not needed to Do not show inactive Enumerations where not needed

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.2.1

- % Done changed from 50 to 100

- Resolution set to Fixed

Changes for DocumentCategory and TimeEntryActivity applied in r6071 and r6072. Thanks for reporting.

#4 - 2011-06-15 10:48 - Petr Pospisil

Many thanks for your fix.

#5 - 2011-07-03 12:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 1.2.1 to 1.3.0
https://www.redmine.org/projects/redmine/repository/svn/revisions/6070
https://www.redmine.org/projects/redmine/repository/svn/revisions/6071
https://www.redmine.org/projects/redmine/repository/svn/revisions/6072


I think this fix will wait for 1.3.
